Bug 663504 - [abrt] minitunes-0.1.1-3.fc14: Process /usr/bin/minitunes was killed by signal 11 (SIGSEGV)
Summary: [abrt] minitunes-0.1.1-3.fc14: Process /usr/bin/minitunes was killed by signa...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: minitunes
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Germán Racca
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:99dac7f6c2a633de253203c88f0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-15 23:59 UTC by clay morris
Modified: 2012-08-16 18:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 18:14:16 UTC


Attachments (Terms of Use)
File: backtrace (60.75 KB, text/plain)
2010-12-15 23:59 UTC, clay morris
no flags Details

Description clay morris 2010-12-15 23:59:18 UTC
abrt version: 1.1.14
architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/minitunes
comment: I just scanned my music folder.  It has failed/crashed 3-4 times now.  It is rather easy to reproduce.
component: minitunes
crash_function: CollectionScanner::popFromQueue
executable: /usr/bin/minitunes
kernel: 2.6.35.9-64.fc14.x86_64
package: minitunes-0.1.1-3.fc14
rating: 4
reason: Process /usr/bin/minitunes was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1292448048
uid: 500

How to reproduce
-----
1. Installed Minitunes
2. Accepted the default folder ~/Music
3. Had it scan.
4. It crashed

Comment 1 clay morris 2010-12-15 23:59:20 UTC
Created attachment 469003 [details]
File: backtrace

Comment 2 Germán Racca 2010-12-17 10:14:35 UTC
(In reply to comment #1)
> Created attachment 469003 [details]
> File: backtrace

From the developer of Minitunes:

"I guess I found a the potential cause of the crash. I did not check
wheter taglib returned a valid pointer to the object containing the
metadata. Maybe for some files it returned 0. Hence the crash. I
pushed the fix to http://gitorious.com/minitunes"

We'll wait a new version release to update the package.

Regards,
Germán.

Comment 3 Fedora End Of Life 2012-08-16 18:14:18 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.